Subject: Re: scp stalls mysteriously

From: Frederic Leroy <[email-masked]>
Date: Wed, 2 Dec 2009 18:34:51 +0100

Le Wed, 2 Dec 2009 18:05:24 +0200 (EET),
"Ilpo Järvinen" <[email-masked]> a écrit :

> > > In one of the cases, also the sg end dies (the 4th case). I
> > > suppose that was running earlier kernel already?
> > 
> > This case was the one with tcp_frto=2 and tcp_timestamps=0 on houba.
> 
> I suppose we're confused, I was refering to .4. case, did you perhaps
> mix that up with the latest set of tests which yields .8.?

You're right, I was talking about .8

> In the recent work, the most suspicious things are the new timeout
> things, I'll read them through once I've some time (but so far I've
> not found anything wrong in them but I of course can miss something
> subtle). ...I've added Damian as CC if he has some idea. If you want
> you can try with a trivial revert of that stuff, I've included a
> patch for that below.

I will try it. 

I just discover something not good. I use tuxonice[1] branch on houba
for 2.6.32*.
Although my 2.6.31 kernel is vanilla[2].

[1] git://git.kernel.org/pub/scm/linux/kernel/git/nigelc/tuxonice-head.git
[2] git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git

Now, I'm gonna go compile kernels again and again and make more
tests ... :)

-- 
Frédéric Leroy